Skip to main content
GET
Get custom role credit limit

Authorizations

Authorization
string
header
required

A personal API key or an OAuth 2.0 access token. Personal API keys also require the x-auth-key header with your user ID.

Path Parameters

organization_id
string
required

The ID of the organization the custom role belongs to.

role_id
string
required

The ID of the custom role (the same ID used as group_id by the Manage custom role users endpoint).

Query Parameters

user_id
string
required

Your user id -- you must be an organization admin to manage custom role credit limits.

Response

The custom role and its credit limit

role_id
string

The ID of the custom role.

role_name
string

The name of the custom role.

is_default
boolean

Whether this is a default role that new organization members are assigned to.

member_count
integer

Number of users currently assigned to this role.

monthly_credit_limit
integer | null

The monthly credit limit applied to each member of this role, or null when the role sets no limit.